MetricMutableGauge (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics2.lib
Class MetricMutableGauge<T extends Number>

    java.lang.Object
      org.apache.hadoop.metrics2.lib.MetricMutable
          org.apache.hadoop.metrics2.lib.MetricMutableGauge<T>

Type Parameters:
  `T` - the type of the metric

Direct Known Subclasses:
  MetricMutableGaugeInt, MetricMutableGaugeLong

    public abstract class MetricMutableGauge<T extends Number>

extends MetricMutable

The mutable gauge metric interface

Field Summary

Fields inherited from class org.apache.hadoop.metrics2.lib.MetricMutable
`description, name`

Constructor Summary
`MetricMutableGauge(String name, String description)` Construct the metric with name and description

Method Summary
`abstract void` | `decr()` Decrement the value of the metric by 1
`abstract void` | `incr()` Increment the value of the metric by 1

Methods inherited from class org.apache.hadoop.metrics2.lib.MetricMutable
`changed, clearChanged, setChanged, snapshot, snapshot`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetricMutableGauge

    public MetricMutableGauge(String name,
                              String description)

  Construct the metric with name and description

  Parameters:
    `name` - of the metric
    `description` - of the metric

Method Detail

### incr

    public abstract void incr()

  Increment the value of the metric by 1

### decr

    public abstract void decr()

  Decrement the value of the metric by 1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation